| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiTupleAlg Class Reference

`#include <GaudiAlg/GaudiTupleAlg.h>`

Inheritance diagram for GaudiTupleAlg:

[legend]
Collaboration diagram for GaudiTupleAlg:

[legend]
List of all members.

## Detailed Description

Simple class to extend the functionality of class GaudiHistoAlg.

Class is instrumented with few methods for dealing with N-tuples and Event Tag collections

Attention:
  See the class GaudiTuples, which implements the common functionality between GaudiTupleTool and GaudiTupleAlg

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

  Chris Jones Christopher.Rob.Jones@cern.ch

Date:
  2004-01-23

Definition at line 42 of file GaudiTupleAlg.h.

## Protected Member Functions
| GaudiTupleAlg (const std::string &name, ISvcLocator *svc)
| standard constructor
virtual | ~GaudiTupleAlg ()
| destructor
virtual StatusCode | initialize ()
| standard initialization method
virtual StatusCode | finalize ()
| standard finalization method
## Private Member Functions
| GaudiTupleAlg ()
| default constructor is disabled
| GaudiTupleAlg (const GaudiTupleAlg &)
| copy constructor is disabled
GaudiTupleAlg & | operator= (const GaudiTupleAlg &)
| assignment operator is disabled

## Constructor & Destructor Documentation

GaudiTupleAlg::GaudiTupleAlg | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  | `[protected]`

standard constructor

See also:
  GaudiHistoAlg

  GaudiAlgorithm

  Algorithm

  IAlgFactory

Definition at line 30 of file GaudiTupleAlg.cpp.

    00032   : GaudiTuples<GaudiHistoAlg> ( name , svc ) { }

GaudiTupleAlg::~GaudiTupleAlg | ( |  | ) | `[protected, virtual]`

destructor

Definition at line 38 of file GaudiTupleAlg.cpp.

    00038 { }

GaudiTupleAlg::GaudiTupleAlg | ( |  | ) | `[private]`

default constructor is disabled

GaudiTupleAlg::GaudiTupleAlg | ( | const GaudiTupleAlg & |  | ) | `[private]`

copy constructor is disabled

## Member Function Documentation

StatusCode GaudiTupleAlg::initialize | ( |  | ) | `[protected, virtual]`

standard initialization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiTuples< GaudiHistoAlg >.

Definition at line 44 of file GaudiTupleAlg.cpp.

References GaudiTuples< PBASE >::initialize().

    00045 {
    00046   // initialize the base class and return
    00047   return GaudiTuples<GaudiHistoAlg>::initialize();
    00048 }

StatusCode GaudiTupleAlg::finalize | ( |  | ) | `[protected, virtual]`

standard finalization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiTuples< GaudiHistoAlg >.

Definition at line 54 of file GaudiTupleAlg.cpp.

References GaudiTuples< PBASE >::finalize().

    00055 {
    00056   // finalize the base class and return
    00057   return GaudiTuples<GaudiHistoAlg>::finalize();
    00058 }

GaudiTupleAlg& GaudiTupleAlg::operator= | ( | const GaudiTupleAlg & |  | ) | `[private]`

assignment operator is disabled

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/GaudiTupleAlg.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/GaudiTupleAlg.cpp